Skip to content

Get supplier ticket

GET
/v1/suppliers/{supplier_id}/tickets/{ticket_id}

Read a ticket for the authenticated supplier (supplier or api role). Admins and mcp_internal may also access.

Authorizations

api_key
Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

supplier_id*

XS2event ID of the Supplier

Type
string
Required
ticket_id*

XS2event ID of the Ticket

Type
string
Required

Responses

OK

application/json
JSON
{
  
"category_id": null,
  
"ticket_id": null,
  
"external_ticket_id": null,
  
"ticket_title": null,
  
"type_ticket": "eticket",
  
"ticket_status": null,
  
"ticket_validfrom": null,
  
"ticket_validuntil": null,
  
"ticket_validity": null,
  
"category_type": null,
  
"sub_category": null,
  
"organiser_price": null,
  
"organiser_vat": null,
  
"xs2event_price": null,
  
"xs2event_vat": null,
  
"supplier_quantity": null,
  
"currency_code": null,
  
"event_id": null,
  
"supplier_id": null,
  
"xs2event_stock": null,
  
"net_rate": null,
  
"created": null,
  
"updated": null,
  
"supplier_terms": null,
  
"category_information_available": null,
  
"last_modified": null,
  
"supplier_role": null,
  
"discount_percentage": null,
  
"disable_reason_code": 100,
  
"event_name": null,
  
"pairs_only": null,
  
"backorder_quantity": null,
  
"available_quantity": null,
  
"organiser_id": null,
  
"last_checked": null,
  
"ticket_source": null,
  
"xs2event_price_eur": null,
  
"organiser_price_eur": null,
  
"ticket_targetgroup": null,
  
"countries_disabled": [
  
  
"string"
  
],
  
"countries_enabled": [
  
  
"string"
  
],
  
"distributors_disabled": [
  
  
"string"
  
],
  
"distributors_enabled": [
  
  
"string"
  
],
  
"vat_category": null,
  
"number_of_tickets_sold": null,
  
"number_of_bookingorders": null,
  
"package_rate": null,
  
"service_fee": null,
  
"service_feevat": null,
  
"cost_price_eur": null,
  
"cost_price": null,
  
"face_value_eur": null,
  
"face_value": null,
  
"sales_price_eur": null,
  
"sales_price": null,
  
"flags": [
  
  
"string"
  
],
  
"ticket_delivery_days": null,
  
"ticket_yield": {
  
  
"yield_strategy": "auto",
  
  
"yield_min_price": 10000,
  
  
"yield_max_price": 50000,
  
  
"currency_code": "EUR",
  
  
"diff_from_cheapest": 0,
  
  
"enabled": false,
  
  
"enabled_supplier_ids": [
  
  
  
"string"
  
  
],
  
  
"disabled_supplier_ids": [
  
  
  
"string"
  
  
],
  
  
"minimum_different_suppliers": 1
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples